[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemPropList.Delete

Removes an item in the container at the specified position.

## Declaration

Source position: valedit.pas line 68

`public procedure TItemPropList.Delete(`
`Index: Integer`
`);`

## Arguments

`Index` |  | Ordinal position for the item.

## Description

Delete is a procedure used to remove an item in the container at the specified position. Index is the ordinal position for the item in the range 0..Count-1.

Use Clear to remove all items in the container.

Use Add or Insert to store an item in the container.

## See also

TItemPropList.Clear |  | Removes all items in the container.
TItemPropList.Add |  | Appends the specified item to the list.
TItemPropList.Insert |  | Inserts the new item at the specified position in the container.